GoodData | Developer Network

List of Reports


Description

This resource gives you a list of all reports that are in given project.

Request

HTTP Request

GET

https://secure.gooddata.com/gdc/md/PROJECT_ID/query/reports

HTTP Headers

Content-Type: application/json
Accept: application/json

Request Body

Empty

Response

200 OK HTTP Status + list of report

{
    "query": {
        "entries": [
            {
                "link": "/gdc/md/PROJECT_ID/obj/OBJECT_ID",
                "author": "/gdc/account/profile/USER_ID",
                "tags": "",
                "created": "2011-11-23 15:34:18",
                "deprecated": "0",
                "summary": "",
                "title": "Report Title",
                "category": "report",
                "updated": "2011-11-23 15:41:44",
                "contributor": "/gdc/account/profile/USER_ID"
            }],
        "meta": {
            "summary": "Metadata Query Resources for project 'PROJECT_ID'",
            "title": "List of reports",
            "category": "query"
        }
    }
}	

Execute Report


Description

Using this resource you can call xtab executor to compute give report definition.

Request

HTTP Request

POST

https://secure.gooddata.com/gdc/xtab2/executor3

HTTP Headers

Content-Type: application/json
Accept: application/json

Request Body

Following JSON payload should be sent to execute Report Definition:

{
    "report_req": {
        "reportDefinition": "/gdc/md/PROJECT_ID/obj/OBJECT_ID"
    }
}

Response

201 Created HTTP Status + Report Result JSON from which you can get the result URI:

{
    "reportResult2": {
        ...
        ...
        ...
        "meta": {
            "author": "/gdc/account/profile/USER_ID",
            "uri": "/gdc/md/PROJECT_ID/obj/RESULT_OBJECT_ID",
            "tags": "",
            "created": "2011-12-20 15:23:20",
            "identifier": "IDENTIFIER",
            "deprecated": "0",
            "summary": "",
            "title": "TITLE",
            "category": "reportResult2",
            "updated": "2011-12-20 15:23:20",
            "contributor": "/gdc/account/profile/USER_ID"
        }
    }
}

Export Report


Description

Export Report resource allows you to export Report to specified format such as CSV, PDF, XLS and PNG.

Request

HTTP Request

POST

https://secure.gooddata.com/gdc/exporter/executor

HTTP Headers

Content-Type: application/json
Accept: application/json

Request Body

Following JSON payload should be sent to export given Report:

{
    "result_req": {
        "report":"/gdc/md/PROJECT_ID/obj/OBJECT_ID",
        "format":"csv"
    }
}

report = Report Result URI returned by previous Execute Report resource
format = Export format (PDF | CSV | PNG | XLS)

Response

201 OK HTTP Status + Export result resource URI, that you can GET to download exported report:

{
"uri":"/gdc/exporter/result/PROJECT_ID/RESULT_ID"
}